Bug 76803 - [V8] Add Uint8ClampedArray support
Summary: [V8] Add Uint8ClampedArray support
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kenichi Ishibashi
URL:
Keywords:
Depends on:
Blocks: 73011
  Show dependency treegraph
 
Reported: 2012-01-22 19:09 PST by Kenichi Ishibashi
Modified: 2012-01-24 00:56 PST (History)
7 users (show)

See Also:


Attachments
Patch (27.37 KB, patch)
2012-01-22 21:00 PST, Kenichi Ishibashi
no flags Details | Formatted Diff | Diff
Patch for landing (14.66 KB, patch)
2012-01-23 15:54 PST, Kenichi Ishibashi
no flags Details | Formatted Diff | Diff
Patch for landing (30.00 KB, patch)
2012-01-23 17:37 PST, Kenichi Ishibashi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kenichi Ishibashi 2012-01-22 19:09:31 PST
JSC supports Uint8ClampedArray as of r105217. It would be better to support it on V8.
Comment 1 Kenichi Ishibashi 2012-01-22 21:00:10 PST
Created attachment 123516 [details]
Patch
Comment 2 Kenneth Russell 2012-01-23 11:13:25 PST
Comment on attachment 123516 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=123516&action=review

Thanks very much for filing and fixing this. Marking r+, but please see the above comments (in particular about getting rid of the separate Chromium baseline for array-unit-tests.html) and watch the EWS bots before committing.

> Source/WebCore/bindings/v8/custom/V8Uint8ClampedArrayCustom.cpp:16
> + * this software without specific prior written permission.

Wrong version of copyright notice; should be the two-clause license from Source/WebKit/LICENSE (with copyright Google, as you have here).

> LayoutTests/platform/chromium/fast/canvas/webgl/array-unit-tests-expected.txt:-1
> -CONSOLE MESSAGE: line 222: Uncaught ReferenceError: Uint8ClampedArray is not defined

Can you just remove this expectation at this point? I don't think it should be needed any more.
Comment 3 Kenichi Ishibashi 2012-01-23 15:54:57 PST
Created attachment 123643 [details]
Patch for landing
Comment 4 Kenichi Ishibashi 2012-01-23 15:56:20 PST
Comment on attachment 123516 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=123516&action=review

Thank you for review!

>> Source/WebCore/bindings/v8/custom/V8Uint8ClampedArrayCustom.cpp:16
>> + * this software without specific prior written permission.
> 
> Wrong version of copyright notice; should be the two-clause license from Source/WebKit/LICENSE (with copyright Google, as you have here).

Done.

>> LayoutTests/platform/chromium/fast/canvas/webgl/array-unit-tests-expected.txt:-1
>> -CONSOLE MESSAGE: line 222: Uncaught ReferenceError: Uint8ClampedArray is not defined
> 
> Can you just remove this expectation at this point? I don't think it should be needed any more.

Done.
Comment 5 Kenneth Russell 2012-01-23 17:10:45 PST
I don't see the deletion of LayoutTests/platform/chromium/fast/canvas/webgl/array-unit-tests-expected.txt in the above patch.
Comment 6 Kenichi Ishibashi 2012-01-23 17:37:51 PST
Created attachment 123672 [details]
Patch for landing
Comment 7 Kenichi Ishibashi 2012-01-23 17:39:53 PST
(In reply to comment #5)
> I don't see the deletion of LayoutTests/platform/chromium/fast/canvas/webgl/array-unit-tests-expected.txt in the above patch.

Revised the patch. Thank you for pointing this out.
Comment 8 WebKit Review Bot 2012-01-24 00:56:29 PST
Comment on attachment 123672 [details]
Patch for landing

Clearing flags on attachment: 123672

Committed r105705: <http://trac.webkit.org/changeset/105705>
Comment 9 WebKit Review Bot 2012-01-24 00:56:35 PST
All reviewed patches have been landed.  Closing bug.